=== tests/CMakeLists.txt ===
ADD_SUBDIRECTORY(c)
IF(CMAKE_Fortran_COMPILER_WORKS)
  ADD_SUBDIRECTORY(f)
ENDIF(CMAKE_Fortran_COMPILER_WORKS)
IF(MEDFILE_BUILD_PYTHON AND NOT WIN32)
  ADD_SUBDIRECTORY(python)
ENDIF()
