=== include/2.3.6/CMakeLists.txt ===
CONFIGURE_FILE(med.h.in ${CMAKE_CURRENT_BINARY_DIR}/med.h @ONLY)
CONFIGURE_FILE(med23v30.h.in ${CMAKE_CURRENT_BINARY_DIR}/med23v30.h @ONLY)
CONFIGURE_FILE(med_utils.h.in ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h @ONLY)


SET(med236C_HEADERS_H
  MEDerreur.hxx
  medC_win_dll.h
  ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h
  med23v30_proto.h
  ${CMAKE_CURRENT_BINARY_DIR}/med23v30.h
  med_exit_if.h
  ${CMAKE_CURRENT_BINARY_DIR}/med.h
  med_proto.h
)

SET(med236F_HEADERS_H
  med.hf
)

INSTALL(FILES ${med236C_HEADERS_H} DESTINATION ${INSTALL_INCLUDE_DIR}/2.3.6)
INSTALL(FILES ${med236F_HEADERS_H} DESTINATION ${INSTALL_INCLUDE_DIR}/2.3.6)
