=== src/ci/CMakeLists.txt ===
SET(ci_SOURCES
MEDmeshEntityAttributeAdvancedWr.c 
MEDmeshEntityAttributeAdvancedRd.c 
MEDmeshGeotypeName.c 
MEDmeshGeotypeParameter.c 
MEDmeshNodeCoordinateTrsfWr.c 
MEDmeshNodeCoordinateTrsfRd.c 
MEDfieldInterpInfo.c 
MEDfieldnInterp.c 
MEDfieldInterpWr.c 
MEDinterpCr.c 
MEDinterpBaseFunctionWr.c 
MEDnInterp.c 
MEDinterpInfoByName.c 
MEDinterpInfo.c 
MEDinterpBaseFunctionRd.c 
MEDinterpBaseFunctionCoeffSize.c 
MEDlibraryNumVersion.c
MEDlibraryStrVersion.c
MEDlibraryHdfNumVersion.c
MEDlibraryHdfStrVersion.c
MEDlibraryClose.c
MEDfileExist.c
MEDfileOpen.c
MEDfileVersionOpen.c
MEDfileName.c
MEDmemFileOpen.c
MEDfileClose.c 
MEDfileCommentWr.c 
MEDfileCommentRd.c 
MEDfileCompatibility.c 
MEDfileNumVersionRd.c 
MEDfileStrVersionRd.c 
MEDfileObjectsMount.c 
MEDfileObjectsMountById.c 
MEDfileObjectsUnmount.c 
MEDfileObjectExist.c
MEDnProfile.c 
MEDprofileInfo.c 
MEDprofileWr.c 
MEDprofileSizeByName.c 
MEDprofileRd.c 
MEDfilterEntityCr.c 
MEDfilterBlockOfEntityCr.c 
_MEDfieldValueAdvancedWr30.c 
_MEDfieldValueAdvancedWr33.c 
MEDfieldValueAdvancedWr.c 
MEDfieldValueWithProfileWr.c 
MEDfieldValueWr.c 
_MEDfieldValueAdvancedRd30.c 
_MEDfieldValueAdvancedRd33.c 
_MEDfieldValueAdvancedRd236.c 
MEDfieldValueAdvancedRd.c 
MEDfieldValueWithProfileRd.c 
MEDfieldValueRd.c 
MEDfieldCr.c 
MEDnField.c 
MEDfieldnComponent.c 
MEDfieldnComponentByName.c 
MEDfieldInfo.c 
MEDfieldInfoByName.c 
MEDfieldComputingStepInfo.c 
MEDfieldComputingStepMeshInfo.c 
MEDfieldComputingStepMeshWr.c 
MEDfieldnProfile.c 
_MEDfieldnValue.c 
MEDfieldnValueWithProfileByName.c 
MEDfieldnValueWithProfile.c 
MEDfieldnValue.c 
MEDlocalizationWr.c 
MEDlocalizationRd.c 
MEDnLocalization.c 
MEDlocalizationInfo.c 
MEDlocalizationInfoByName.c 
MEDlinkWr.c 
MEDlinkRd.c 
MEDnLink.c 
MEDlinkInfoByName.c 
MEDlinkInfo.c 
_MEDmeshCr.c 
MEDmeshCr.c 
MEDsupportMeshCr.c 
_MEDmeshInfoByName.c 
MEDmeshInfoByName.c 
MEDsupportMeshInfoByName.c 
MEDmeshInfo.c 
MEDsupportMeshInfo.c 
MEDnMesh.c 
MEDnSupportMesh.c 
MEDsupportMeshnAxis.c 
MEDsupportMeshnAxisByName.c 
MEDmeshGridTypeWr.c 
MEDmeshGridTypeRd.c 
MEDmeshGridIndexCoordinateWr.c 
MEDmeshGridIndexCoordinateRd.c 
MEDmeshGridStructWr.c 
MEDmeshGridStructRd.c 
MEDmeshUniversalNameWr.c 
MEDmeshUniversalNameRd.c 
MEDmeshAttributeWr.c 
MEDmeshAttributeRd.c 
MEDmeshComputationStepCr.c 
MEDmeshComputationStepInfo.c 
MEDmeshComputationStepDtRd.c 
MEDmeshNodeCoordinateWr.c 
MEDmeshNodeCoordinateWithProfileWr.c 
MEDmeshNodeCoordinateAdvancedWr.c 
MEDmeshElementConnectivityAdvancedWr.c 
MEDmeshElementConnectivityWithProfileWr.c 
MEDmeshElementConnectivityWr.c 
MEDmeshNodeCoordinateRd.c 
MEDmeshNodeCoordinateWithProfileRd.c 
MEDmeshNodeCoordinateAdvancedRd.c 
MEDmeshElementConnectivityAdvancedRd.c 
MEDmeshElementConnectivityWithProfileRd.c 
MEDmeshElementConnectivityRd.c 
_MEDmeshnEntity.c 
MEDmeshnEntityWithProfile.c 
MEDmeshnEntity.c 
MEDmeshNodeWr.c 
MEDmeshNodeRd.c 
MEDmeshElementWr.c 
MEDmeshElementRd.c 
MEDfilterAllocate.c 
MEDfilterDeAllocate.c 
MEDfilterClose.c 
_MEDmeshAdvancedWr.c 
_MEDmeshAdvancedRd.c 
MEDmeshEntityNameWr.c 
MEDmeshEntityNumberWr.c 
MEDmeshEntityFamilyNumberWr.c 
MEDmeshEntityNameRd.c 
MEDmeshEntityNumberRd.c 
MEDmeshEntityFamilyNumberRd.c 
MEDmeshnAxis.c 
MEDmeshnAxisByName.c 
MEDmeshPolygonWr.c 
MEDmeshPolygon2Wr.c 
MEDmeshPolygonRd.c 
MEDmeshPolygon2Rd.c 
MEDmeshPolyhedronWr.c 
MEDmeshPolyhedronRd.c 
MEDfamilyCr.c 
MEDnFamily.c 
MEDnFamilyGroup.c 
MEDfamilyInfo.c 
MEDnFamily23Attribute.c 
_MEDnFamily23Attribute236.c 
_MEDnFamily23Attribute30.c 
MEDfamily23Info.c 
_MEDfamily23Info236.c 
_MEDfamily23Info30.c 
_MEDmeshAssociatedGroupCr.c 
MEDmeshSortingTypeRd.c 
MEDnEquivalence.c 
MEDequivalenceCr.c 
MEDequivalenceInfo.c 
MEDequivalenceComputingStepInfo.c 
MEDequivalenceCorrespondenceWr.c 
MEDequivalenceCorrespondenceRd.c 
MEDequivalenceCorrespondenceSizeInfo.c 
MEDequivalenceCorrespondenceSize.c 
MEDsubdomainJointCr.c 
MEDnSubdomainJoint.c 
MEDsubdomainJointInfo.c 
MEDsubdomainCorrespondenceWr.c 
MEDsubdomainComputingStepInfo.c 
MEDsubdomainCorrespondenceSizeInfo.c 
MEDsubdomainCorrespondenceSize.c 
MEDsubdomainCorrespondenceRd.c 
MEDmeshGlobalNumberWr.c 
MEDmeshGlobalNumberRd.c 
MEDstructElementCr.c 
MEDstructElementConstAttWithProfileWr.c 
MEDstructElementConstAttWr.c 
MEDnStructElement.c 
MEDstructElementInfoByName.c 
MEDstructElementInfo.c 
MEDstructElementConstAttInfoByName.c 
MEDstructElementConstAttInfo.c 
MEDstructElementConstAttRd.c 
MEDstructElementAttSizeof.c  
MEDstructElementVarAttCr.c 
MEDstructElementVarAttInfoByName.c 
MEDstructElementVarAttInfo.c 
MEDmeshStructElementVarAttWr.c 
MEDmeshStructElementVarAttRd.c 
MEDstructElementName.c 
MEDstructElementGeotype.c 
_MEDmeshDatagroupOpen.c 
MEDparameterCr.c 
MEDnParameter.c 
MEDparameterInfo.c 
MEDparameterInfoByName.c 
MEDparameterValueWr.c 
MEDparameterValueRd.c 
MEDparameterComputationStepInfo.c 
MEDmeshEntityInfo.c
_MEDfieldCr31.c 
_MEDfieldCr30.c 
_MEDmeshInfoByName30.c 
_MEDmeshnAxisByName30.c 
_MEDmeshUniversalNameRd30.c 
_MEDmeshnEntity30.c 
_MEDmeshInfoByName236.c 
_MEDmeshnAxisByName236.c 
_MEDmeshUniversalNameRd236.c 
_MEDmeshnEntity236.c 
_MEDmeshAdvancedRd30.c 
_MEDmeshAdvancedRd236.c 
_MEDfilterEntityCr30.c 
_MEDfilterEntityCr236.c 
_MEDnFamily30.c 
_MEDnFamily236.c 
_MEDnFamilyGroup30.c 
_MEDnFamilyGroup236.c 
_MEDlinkRd30.c 
_MEDlinkRd236.c 
_MEDfieldComputingStepInfo30.c 
_MEDfieldComputingStepInfo31.c 
_MEDfieldComputingStepInfo236.c 
_MEDfieldComputingStepMeshInfo30.c 
_MEDfieldComputingStepMeshInfo31.c 
_MEDfieldComputingStepMeshInfo236.c 
_MEDfieldComputingStepCheck236.c 
_MEDfieldInfoByName30.c 
_MEDfieldInfoByName236.c 
_MEDfieldnProfile30.c 
_MEDfieldnProfile236.c 
_MEDfieldnValue30.c 
_MEDfieldnValue236.c 
_MEDprofileRd30.c 
_MEDprofileRd236.c 
_MEDlocalizationRd30.c 
_MEDlocalizationRd236.c 
_MEDlocalizationInfoByName30.c 
_MEDlocalizationInfoByName236.c 
_MEDnEquivalence30.c 
_MEDnEquivalence236.c 
_MEDequivalenceInfo30.c 
_MEDequivalenceInfo236.c 
_MEDequivalenceCorrespondenceSize30.c 
_MEDequivalenceCorrespondenceSize236.c 
_MEDequivalenceCorrespondenceWr33.c 
_MEDequivalenceCorrespondenceWr30.c 
_MEDequivalenceCorrespondenceRd33.c 
_MEDequivalenceCorrespondenceRd30.c 
_MEDequivalenceCorrespondenceRd236.c 
_MEDequivalenceComputingStepInfo30.c 
_MEDequivalenceComputingStepInfo236.c 
_MEDequivalenceCorrespondenceSizeInfo30.c 
_MEDequivalenceCorrespondenceSizeInfo236.c 
_MEDmeshComputationStepInfo30.c 
_MEDmeshComputationStepInfo236.c 
_MEDmeshGridIndexCoordinateRd30.c 
_MEDmeshGridIndexCoordinateRd236.c 
_MEDnSubdomainJoint30.c 
_MEDnSubdomainJoint236.c 
_MEDsubdomainJointInfo30.c 
_MEDsubdomainJointInfo236.c 
_MEDsubdomainCorrespondenceSize30.c 
_MEDsubdomainCorrespondenceSize236.c 
_MEDsubdomainCorrespondenceRd30.c 
_MEDsubdomainCorrespondenceRd236.c 
_MEDsubdomainComputingStepInfo30.c 
_MEDsubdomainComputingStepInfo236.c 
_MEDsubdomainCorrespondenceSizeInfo30.c 
_MEDsubdomainCorrespondenceSizeInfo236.c 
_MEDparameterInfoByName30.c 
_MEDparameterInfoByName236.c 
_MEDparameterValueRd30.c 
_MEDparameterValueRd236.c 
_MEDfileCommentRd30.c 
_MEDfileCommentRd236.c 
_MEDfileObjectsMount30.c 
_MEDfileObjectsMount236.c 
_MEDfileObjectsUnmount30.c 
_MEDfileObjectsUnmount236.c 
_MEDfield23ComputingStepMeshInfo30.c 
_MEDfield23ComputingStepMeshInfo31.c 
_MEDfield23ComputingStepMeshInfo236.c 
_MEDfield23nProfile30.c 
_MEDfield23nProfile236.c 
MEDfield23nValueWithProfile.c 
MEDfield23ComputingStepMeshInfo.c 
MEDfield23nProfile.c 
MEDfield23ValueWithProfileRd.c 
_MEDfield23nValue.c 
_MEDfield23nValue30.c 
_MEDfield23nValue236.c 
_MEDmeshEntityInfo30.c 
_MEDmeshEntityInfo236.c
_MEDfamilyInfo32.c
_MEDnFamilyGroup32.c
_MEDfamilyCr30.c
_MEDfamilyCr32.c
_MEDfamilyInfo30.c
_MEDfieldValueAdvancedWr41.c 
MEDfieldEntityType.c 
_MEDfieldEntityType41.c 
MEDfieldnEntityType.c 
_MEDfieldnEntityType41.c 
_MEDfieldnGeometryType41.c 
MEDfieldnGeometryType.c 
_MEDfieldGeometryType41.c 
MEDfieldGeometryType.c  )

IF(MEDFILE_USE_MPI)
  LIST(APPEND ci_SOURCES MEDparFileOpen.c)
ENDIF(MEDFILE_USE_MPI)

# Intermediary targets
ADD_LIBRARY(_ci OBJECT ${ci_SOURCES})

ADD_LIBRARY(_ci_static OBJECT ${ci_SOURCES})
MED_SET_DEFINITIONS(_ci_static MED3_USESTATIC)
