=== debian/changelog ===
med-fichier (4.1.0+repack-6) unstable; urgency=medium

  * Fix wrong bug number in previous changelog

 -- Gilles Filippini <pini@debian.org>  Tue, 03 Sep 2024 21:33:54 +0200

med-fichier (4.1.0+repack-5) unstable; urgency=medium

  * Fix autopkgtest when default MPI is MPICH (closes: #1080197)
  * New patch hdf5-1.14.patch to allow building against HDF5 1.14
  * Add -DH5_USE_110_API to CPPFLAGS to keep using the HDF5 1.10 API

 -- Gilles Filippini <pini@debian.org>  Mon, 02 Sep 2024 22:47:55 +0200

med-fichier (4.1.0+repack-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064244

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 19:51:14 +0000

med-fichier (4.1.0+repack-4) unstable; urgency=medium

  * Fix openmpi include dirs (closes: #1052753)
  * New patch: fix-stack-smashing-in-test.patch
    Fix a stash smashing error in a unit test

 -- Gilles Filippini <pini@debian.org>  Fri, 29 Sep 2023 20:43:42 +0200

med-fichier (4.1.0+repack-3) unstable; urgency=medium

  * New patch check_hdf5.patch to fix HDF5 version checking (Closes:
    #997351)

 -- Gilles Filippini <pini@debian.org>  Tue, 26 Oct 2021 00:03:04 +0200
